/* File: MiaSmallGrammar.pl
% IA a.a. 2024-25
% R. Basili (University of Roma, Tor Vergata)
% Componente grammaticale 
% GRAMMATICA
% Componente Regole di Riscrittura grammaticali
% Tipi di Regole:
% - Sentence Rules S
% - Verbal Phrases PP
% - Nominal Phrases NP
% - Adjectival Phrases AP
% - Prepositional Phrases PP
********************************** */
%S  - - > NP VP
s(S,s(NP,VP))   :- 
       append(X,Y,S), 
       np(X,NP), vp(Y,VP),
       write(' S is OK: NP is '),write(X), 
	        write(' and VP is '),write(Y),
	   nl,write(' --------------------------------------------------------------'),
	   nl. 
%

%NP --> N
np(Z,np(n(Z))) :- n(Z).
%


%
%Frasi Verbali VP
%VP --> V
vp(Z,vp(Z))   :- v(Z).

%
%VP --> Pron VP 
vp(Z,vp(pron_pers(X),YT)) :- 	
   append(X,Y,Z), 
   pron_cli(X), 
   vp(Y,YT).
   
%Frasi Preposizionali PP, e.g. "con,la,forchetta", "di,notte"...
%PP --> PPS PP

%PPS --> P NP
